Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrinter.PaperSource

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrinter.PaperSource

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrinter

    public static final class QPrinter.PaperSource

extends java.lang.Enum
implements QtEnumerator

This enum type specifies what paper source `QPrinter` is to use. `QPrinter` does not check that the paper source is available; it just uses this information to try and set the paper source. Whether it will set the paper source depends on whether the printer has that particular source.

Warning: This is currently only implemented for Windows.

See Also:
  Serialized Form

Field Summary
`static QPrinter.PaperSource` | `Auto`
`static QPrinter.PaperSource` | `Cassette`
`static QPrinter.PaperSource` | `Envelope`
`static QPrinter.PaperSource` | `EnvelopeManual`
`static QPrinter.PaperSource` | `FormSource`
`static QPrinter.PaperSource` | `LargeCapacity`
`static QPrinter.PaperSource` | `LargeFormat`
`static QPrinter.PaperSource` | `Lower`
`static QPrinter.PaperSource` | `Manual`
`static QPrinter.PaperSource` | `MaxPageSource`
`static QPrinter.PaperSource` | `Middle`
`static QPrinter.PaperSource` | `OnlyOne`
`static QPrinter.PaperSource` | `SmallFormat`
`static QPrinter.PaperSource` | `Tractor`

Method Summary
`static QPrinter.PaperSource` | `resolve(int value)` Returns the QPrinter$PaperSource constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PaperSource` | `valueOf(java.lang.String name)`
`static QPrinter.PaperSource[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OnlyOne

    public static final QPrinter.PaperSource OnlyOne

### Lower

    public static final QPrinter.PaperSource Lower

### Middle

    public static final QPrinter.PaperSource Middle

### Manual

    public static final QPrinter.PaperSource Manual

### Envelope

    public static final QPrinter.PaperSource Envelope

### EnvelopeManual

    public static final QPrinter.PaperSource EnvelopeManual

### Auto

    public static final QPrinter.PaperSource Auto

### Tractor

    public static final QPrinter.PaperSource Tractor

### SmallFormat

    public static final QPrinter.PaperSource SmallFormat

### LargeFormat

    public static final QPrinter.PaperSource LargeFormat

### LargeCapacity

    public static final QPrinter.PaperSource LargeCapacity

### Cassette

    public static final QPrinter.PaperSource Cassette

### FormSource

    public static final QPrinter.PaperSource FormSource

### MaxPageSource

    public static final QPrinter.PaperSource MaxPageSource

Method Detail

### values

    public static QPrinter.PaperSource[] values()

### valueOf

    public static QPrinter.PaperSource valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PaperSource resolve(int value)

  Returns the QPrinter$PaperSource constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD